summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authortruelight <truelight@openttd.org>2004-08-09 17:04:08 +0000
committertruelight <truelight@openttd.org>2004-08-09 17:04:08 +0000
commitefaeb275f78e18d594d9ee8ff04eccd2dc59512c (patch)
treebc8e1f56d77706d14d048cb2d99e53291930b520 /configure
downloadopenttd-efaeb275f78e18d594d9ee8ff04eccd2dc59512c.tar.xz
(svn r1) Import of revision 975 of old (crashed) SVN
Diffstat (limited to 'configure')
-rw-r--r--configure24
1 files changed, 24 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100644
index 000000000..a6a0ba3ff
--- /dev/null
+++ b/configure
@@ -0,0 +1,24 @@
+#!/bin/sh -
+
+SDLCONFIG=`which sdl-config || which sdl11-config || which sdl12-config || echo `
+if [ -n "$SDLCONFIG" ] ; then
+ echo "SDL config is located at: $SDLCONFIG"
+ sed -e"s@XX_SDL_CONFIG_PLACEHOLDER_XX@$SDLCONFIG@g" < Jamfile.next > tmp && mv tmp Jamfile
+else
+ echo "********************************"
+ echo "ERROR! SDL CONFIG WAS NOT FOUND!"
+ echo "********************************"
+ exit 1
+fi
+
+echo "Configure complete. Now use 'jam' to build"
+echo "Add -sWITH_PNG=<dir to png.h> to build with PNG support"
+echo "Add -sWITH_ZLIB=1 to enable zlib savegame support"
+echo "Add -sRELEASE=1 to build an optimized executable"
+echo "Add -sWITH_BONE_NETWORKING=1 to build with BeOS BONE networking support"
+echo "Add -sBEOS_MIDI=1 to enable BeOS native MIDI (libmidi.so) music output"
+echo ""
+echo "For people using make:"
+echo "write make (or gmake)"
+echo "configure have nothing to do with the makefile"
+